#!/bin/sh

"${0%/*}"/wait-for-cluster-ready.sh || exit 1

crm_resource -L | grep -v "NO resources configured" | grep -v -w "ORPHANED" | while read w1 w2 w3; do
    if [ "$w1" = "Master/Slave" ]; then
	echo "$w3	master_slave"
    else
	w2="${w2##*:}"
	w2="${w2%)}"
	echo "$w1	$w2"
    fi
done
