#!/bin/sh

[ -z "$1" ] && exit 1
[ -z "$2" ] && exit 1

base="$1"
mode="$2"

case "$mode" in
    slave)
	current_mode=$("${0%/*}"/openldap-get-base-mode.sh "$base")
	[ x"$current_mode" = x"slave" ] || \
	alterator-cmdline /openldap/domains/"$base" action slave "sl_mode" '#t' &> /dev/null
	alterator-cmdline /openldap/domains/"$base" action master "ms_mode" '#f' &> /dev/null
	current_mode=$("${0%/*}"/openldap-get-base-mode.sh "$base")
	[ x"$current_mode" = x"slave" ] || exit 1
	;;
    master)
	current_mode=$("${0%/*}"/openldap-get-base-mode.sh "$base")
	[ x"$current_mode" = x"master" ] || \
	alterator-cmdline /openldap/domains/"$base" action slave "sl_mode" '#f' &> /dev/null
	alterator-cmdline /openldap/domains/"$base" action master "ms_mode" '#t' &> /dev/null
	current_mode=$("${0%/*}"/openldap-get-base-mode.sh "$base")
	[ x"$current_mode" = x"master" ] || exit 1
	;;
    *)
	exit 1
	;;
esac
