#!/bin/sh

[ -z "$1" ] && exit 1

"${0%/*}"/wait-for-cluster-ready.sh || exit 2

resource_name="$1"

resource_type=$("${0%/*}"/get-resource-type.sh "$resource_name")

[ $? = 0 ] || exit 3

case "$resource_type" in
    master_slave|clone)
	;;
    *)
	resource_type=primitive
	;;
esac

cibadmin -D -X "<$resource_type id=\"$resource_name\"/>" && sleep 10
